Subject: Re: [PATCH 1/3] git-p4: default submit to use rename detection

From: Pal-Kristian Engstad <[email-masked]>
Date: Thu, 21 Jan 2010 19:01:30 -0800

Nicolas Pitre wrote:
> On Thu, 21 Jan 2010, Pal-Kristian Engstad wrote:
> 
>> Enable git's rename detection by default. This is needed to preserve
>> Perforce's history.
>>
>> Removed the '-M' flag and added a '--no-detect' flag to preserve the
>> old behavior.
> 
> You should keep the -M flag, even if it ends up doing nothing, for 
> backward compatibility.  And --no-detect is really a bad flag name.  
> Maybe --no-detect-renames instead?

I'm not sure if git-p4 wants to keep backwards compatibility. I doubt there's
many scripts out there that calls git-p4, but Simon should decide.

I have no problem with the --no-detect-renames flag, though.

PKE.
-- 
Pål-Kristian Engstad ([email-masked]), 
Lead Graphics & Engine Programmer,
Naughty Dog, Inc., 1601 Cloverfield Blvd, 6000 North,
Santa Monica, CA 90404, USA. Ph.: (310) 633-9112.

"Emacs would be a far better OS if it was shipped with 
 a halfway-decent text editor." -- Slashdot, Dec 13. 2005.